
# (anssi) The unversioned symlink of XvMC library must be present in
# %{_libdir} during normal use, as libXvMC uses that name for dlopening.
# Our devel requires finder catches that, hence this exception:
%define _requires_exceptions devel(

Name: x11-driver-video-intel
Version: 2.1.1
Release: %mkrel 4
Summary: The X.org driver for Intel i810
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-intel-%{version}.tar.bz2
Patch0: x11-driver-video-i810-vt_fix.patch
# on a laptop VAIO 64bits, the EDID is not available. without the patch,
# it will prefer the "currently programmed" mode, which really is the current
# framebuffer mode, ie often 800x600.
Patch1: xf86-video-intel-2.1.1-may-prefer-biosmode-over-programmed-mode.patch
# Fix needed after G33 changes added since kernel 2.6.22.6-3mdv2008.0
# (http://lkml.org/lkml/2007/9/20/71)
Patch2: xf86-video-intel-2.1.1-Fix-G33-GTT-stolen-mem-range.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libdrm-devel >= 2.2
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.3
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0
Obsoletes: x11-driver-video-intel13 <= 1.9.94
Obsoletes: x11-driver-video-i810 <= 1.9.94
Provides: x11-driver-video-i810 = %{version}

%description
The X.org driver for Intel video chipsets


%prep
%setup -q -n xf86-video-intel-%{version}
# prevents the driver from doing operations when we do not have the VT lock 
%patch0 -p1 -b .vt_fix
%patch1 -p1 -b .biosmode
%patch2 -p1 -b .Fix-G33-GTT-stolen-mem-range

%build
# Make sure duplicated code isn't compiled and only the server version is used
rm -fr src/modes
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libI810XvMC.la
%{_libdir}/libI810XvMC.so
%{_libdir}/libI810XvMC.so.1
%{_libdir}/libI810XvMC.so.1.0.0
%{_libdir}/xorg/modules/drivers/i810_drv.*
%{_libdir}/xorg/modules/drivers/intel_drv.*
%{_libdir}/xorg/modules/drivers/ch7017.*
%{_libdir}/xorg/modules/drivers/ch7xxx.*
%{_libdir}/xorg/modules/drivers/ivch.*
%{_libdir}/xorg/modules/drivers/sil164.*
%{_libdir}/xorg/modules/drivers/tfp410.*
%{_mandir}/man4/intel.4*
%{_mandir}/man4/i810.4*


%changelog
* Tue Sep 25 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.1.1-4mdv2008.0
+ Revision: 92861
- Fixed G33 support after adding G33 changes since kernel
  2.6.22.6-3mdv2008.0 (http://lkml.org/lkml/2007/9/20/71), reported by
  Damien Lallement.

  + Pixel <pixel@mandriva.com>
    - don't blindly choose biosmode over programmed mode (#33900)

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 2.1.1-2mdv2008.0
+ Revision: 91769
- fix choosing the correct bios mode on a laptop when the EDID is not available

* Tue Aug 14 2007 Colin Guthrie <cguthrie@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 62962
- New upstream version: 2.1.1

* Fri Aug 03 2007 Paulo Andrade <pcpa@mandriva.com.br> 2.1.0-2mdv2008.0
+ Revision: 58609
- Make sure duplicated code is not being used as it may cause unexpected behaviour

* Tue Jul 03 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.1.0-1mdv2008.0
+ Revision: 47565
- new upstream version: 2.1.0

* Fri Apr 27 2007 Anssi Hannula <anssi@mandriva.org> 2.0.0-2mdv2008.0
+ Revision: 18778
- fix -devel requires

* Fri Apr 20 2007 Colin Guthrie <cguthrie@mandriva.org> 2.0.0-1mdv2008.0
+ Revision: 15619
- New Release 2.0.0
- Obsolete latest x11-driver-video-intel13 package

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - This requires x11-server >= 1.2.99
    - Finish renaming from i810 to intel
    - New upstream release candidate: 1.9.94 (2.0 RC4)
    - Remove fix-version-test patch: not needed anymore
    - The Intel driver was renamed upstream from i810 to intel, as it supports
      not only i8xx chipsets but also i9xx

